

Article 381 of comp.theory.cell-automata:
Path: mimsy!tank!ncar!mailrus!uunet!mcsun!ukc!stc!stl!irw
>From: [email-masked] (Ian Woollard)
Newsgroups: comp.theory.cell-automata
Subject: Re: Wireworld memory units
Message-ID: <[email-masked]>
Date: 22 Mar 90 14:11:36 GMT
References: <[email-masked]>
Sender: [email-masked]
Reply-To: [email-masked] (Ian Woollard)
Organization: STC Technology Limited, London Road, Harlow, Essex, UK
Lines: 76

In article <[email-masked]> [email-masked]
 (Michael Frank) writes:
>Hi, I just started reading this group and noticed the wireworld discussion,
>and I wondered whether anyone had seen before a design that I came up with
>for a memory gate.  Here it is:
>
>...=.....
>...=.....
>..===....
>...=.....
>..=.=....
>..=.=....
>====.====
>..=......
>.........
>
                 >Description of operation removed<

That's neat! I like it! Small and perfectly formed...

I can't offer anything that small. However, I'd like to submit my entry for
the fastest IBI memory gate in the wireworld 'competition'...

The following is a negative going edge-triggered flip flop. (Using this
circuit, you can construct counters, dividers and things- though the
Transit time does pose a bit of a problem...)

...O.........
...=...===...
...=.===.==..
....=..=.=.=.
...===.===.=.
...=.=..=..=.
..==.===..=..
.=.===...=...
.=......=....
..======.....
.......=.=...
........===..
.....===.=.=.
....=......=.
.....=======.
...........I.
Transit: 21 (measured from entry of entry of a 'missing' electron)
IBI: 5
Size: 16x13

This is essentially made up of two parts:

A flip flop that toggles with every electron sent in:

...O.........
...=...===...
...=.===.==..
....=..=.=.=.
...===.===.=.
...=.=..=..=.
..==.===..=..
.=.===...=...
.=......=....
..======.....
.......I.....
Transit: 14
IBI: 5
Size: 11x13

This circuit is based on two exclusive-or gates back to back, giving a fast
IBI time.

And the edgifier circuit (left as an exercise to the reader to cut out!).
This emits an electron every time a stream of electrons stops entering it.

           __    o __.  ____    Ian Woollard        (0279) 29531 x2384
                <_(_/|_/ / <_   [email-masked]   (STC Technology Ltd.)

Extremely long and witty saying reduced to a microdot --> .